org.eclipse.microprofile.openapi.models.security

## Enum SecurityScheme.Type

- java.lang.Object
- - java.lang.Enum<SecurityScheme.Type>
  - - org.eclipse.microprofile.openapi.models.security.SecurityScheme.Type

All Implemented Interfaces:
  Serializable, Comparable<SecurityScheme.Type>

Enclosing interface:
  SecurityScheme

    public static enum SecurityScheme.Type
    extends Enum<SecurityScheme.Type>

Type is a REQUIRED property that specifies the type of SecurityScheme instance.

This class is used in getType and setType to get or set the type of SecurityScheme object to one of the valid values.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`APIKEY`
`HTTP`
`OAUTH2`
`OPENIDCONNECT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static SecurityScheme.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SecurityScheme.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### APIKEY

    public static final SecurityScheme.Type APIKEY

#### HTTP

    public static final SecurityScheme.Type HTTP

#### OAUTH2

    public static final SecurityScheme.Type OAUTH2

#### OPENIDCONNECT

    public static final SecurityScheme.Type OPENIDCONNECT

### Method Detail

#### values

    public static SecurityScheme.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SecurityScheme.Type c : SecurityScheme.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SecurityScheme.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<SecurityScheme.Type>`